
objectid
========
[![docs](https://docs.rs/objectid/badge.svg?version=0.2.0 "docs")](https://docs.rs/objectid)

A Rust implementation of a BSON ObjectId.

Based on [zonyitoo/bson-rs](https://github.com/zonyitoo/bson-rs/blob/master/src/oid.rs)

Modifications:

1. Improve performance.
2. Add `serde` serialize and deserialize support.


## [Document](https://docs.rs/objectid)

## Usage
Add dependency to Cargo.toml

```toml
[dependencies]
objectid = "^0.2"
```

If you want `serde` support, enable the `serde` feature:

```toml
[dependencies]
objectid = { version = "^0.2", features = ["serde"] }
```

In your `main.rs` or `lib.rs`:

```rust
extern crate objectid;
```

## License
objectid is primarily distributed under the terms of the MIT license.
See [LICENSE](LICENSE) for details.
